//
//  InspectorWindowController.h
//  Shogiban2
//
//  Created by KOYAMA Yoshiaki on Sun Aug 10 2003.
//  Copyright (c) 2003 KOYAMA Yoshiaki. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface InspectorWindowController : NSWindowController {
    IBOutlet id _senteTextField;
    IBOutlet id _goteTextField;
    IBOutlet id _tesuuLabel;
    IBOutlet id _dateLabel;
}

+ (id)sharedInspectorController;
- (void)mainWindowChanged:(NSNotification *)notification;
- (IBAction)selectRotateStepAction:(id)sender;
- (IBAction)selectFrontStepAction:(id)sender;
- (IBAction)selectBackStepAction:(id)sender;
- (IBAction)selectFrontStep2Action:(id)sender;
- (IBAction)selectBackStep2Action:(id)sender;

- (void)inspectorChanged:(NSNotification *)notification;

@end

extern NSString *SBRotateStepChangeNotification;
extern NSString *SBFrontStepChangeNotification;
extern NSString *SBBackStepChangeNotification;
extern NSString *SBFrontStep2ChangeNotification;
extern NSString *SBBackStep2ChangeNotification;
extern NSString *SBInspectorChangeNotification;